Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.field

# Class FBFlushableField.CachedObject

java.lang.Object
org.firebirdsql.jdbc.field.FBFlushableField.CachedObject

Enclosing interface:
  FBFlushableField

public static class FBFlushableField.CachedObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final @Nullable InputStream`
`binaryStream`
`final byte @Nullable []`
`bytes`
`final @Nullable Reader`
`characterStream`
`final long`
`length`

## Constructor Summary

Constructors
Constructor
Description
`CachedObject(byte @Nullable [] bytes, @Nullable InputStream binaryStream, @Nullable Reader characterStream, long length)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bytes

public final byte @Nullable [] bytes

### binaryStream

public final @Nullable InputStream binaryStream

### characterStream

public final @Nullable Reader characterStream

### length

public final long length

## Constructor Details

### CachedObject

public CachedObject(byte @Nullable [] bytes, @Nullable InputStream binaryStream, @Nullable Reader characterStream, long length)